EX(3)

PACKAGE
ex - Routines to extract data from strings

PURPOSE
These routines are meant to provide a simple mechanism to extract numeric values and strings from strings.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

ex_int
    Extract integer value from string.

ex_uint
    Extract unsigned integer value from string.

ex_word
    Extract word from string.

ex_command
    Extract command from string.

ex_word_skip
    Skip a word in a string.

ex_float
    Extract float value from string.

ex_hour
    Extract hour value from string.

ex_command_skip
    Skip a command in a string.

ex_on
    Extract boolean value from string.

ex_on_or_off
    Extract boolean value from string.

ex_yes
    Extract boolean value from string.

ex_str
    Extract sub-string from string.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/